From 5dbe5983de66fc8b02488542bf50660937c462e4 Mon Sep 17 00:00:00 2001
From: shynur <one.last.kiss@outlook.com>
Date: Mon, 11 Sep 2023 22:56:39 +0800
Subject: [PATCH] ; Fix doc typos

---
 doc/emacs/custom.texi    | 2 +-
 doc/lispref/compile.texi | 2 +-
 doc/lispref/keymaps.texi | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/emacs/custom.texi b/doc/emacs/custom.texi
index 456e208..23dcc44 100644
--- a/doc/emacs/custom.texi
+++ b/doc/emacs/custom.texi
@@ -626,7 +626,7 @@ button.
 the theme file and asks if you really want to load it.  Because
 loading a Custom theme can execute arbitrary Lisp code, you should
 only say yes if you know that the theme is safe; in that case, Emacs
-offers to remember in the future that the theme is safe(this is done
+offers to remember in the future that the theme is safe (this is done
 by saving the theme file's SHA-256 hash to the variable
 @code{custom-safe-themes}; if you want to treat all themes as safe,
 change its value to @code{t}).  Themes that come with Emacs (in the
diff --git a/doc/lispref/compile.texi b/doc/lispref/compile.texi
index 0057979..5a82464 100644
--- a/doc/lispref/compile.texi
+++ b/doc/lispref/compile.texi
@@ -422,7 +422,7 @@ execution of the compiled file.  For example,
 @lisp
 (eval-when-compile
   (unless (fboundp 'some-new-thing)
-    (defmacro 'some-new-thing ()
+    (defmacro some-new-thing ()
       (compatibility code))))
 @end lisp
 
diff --git a/doc/lispref/keymaps.texi b/doc/lispref/keymaps.texi
index 99bc106..d4b1c4f 100644
--- a/doc/lispref/keymaps.texi
+++ b/doc/lispref/keymaps.texi
@@ -90,7 +90,7 @@ Manual}.
 (kbd "C-x C-f") @result{} "\C-x\C-f"
 (kbd "C-x 4 C-f") @result{} "\C-x4\C-f"
 (kbd "X") @result{} "X"
-(kbd "RET") @result{} "\^M"
+(kbd "RET") @result{} "^M"
 (kbd "C-c SPC") @result{} "\C-c@ "
 (kbd "<f1> SPC") @result{} [f1 32]
 (kbd "C-M-<down>") @result{} [C-M-down]
-- 
2.41.0.windows.3

